Summary:        MSVSphere GNOME Desktop Flavour Selector
Name:           sphere-desktop-selector
Version:        1.0.0
Release:        2%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:		com.inferit.sphere-desktop-selector.desktop
Source2:        sphere-desktop-selector-auto

Requires:       bash

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  json-glib-devel

%global debug_package %{nil}
%define _build_id_links none

%description
This package allow to choose variants of GNOME Desktop, Classic or GNOME Shell

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart/com.inferit.sphere-desktop-selector.desktop
install -m755 %{SOURCE2} %{buildroot}%{_bindir}
sed -i 's@Exec=sphere-desktop-selector@Exec=sphere-desktop-selector-auto@' \
%{buildroot}%{_sysconfdir}/xdg/autostart/com.inferit.sphere-desktop-selector.desktop

%find_lang %{name}

rm -rf %{buildroot}/usr/lib
mv %{buildroot}/usr/lib64 %{buildroot}/usr/lib

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_usr}/lib/%{name}
%{_bindir}/sphere-desktop-selector*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.sphere-desktop-selector.desktop
%{_datadir}/metainfo/com.inferit.sphere-desktop-selector.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.sphere-desktop-selector.gschema.xml

%changelog
* Tue Feb 04 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-2
- Fix window position for autorun

* Sun Feb 02 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Rebuilt for MSVSphere 10

* Mon Jan 13 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 1.0.0-1
- Initial build
